Participant
Delete Participants by Participant IDs
The Delete Participants endpoint permanently deletes multiple participants from an envelope.
POST
/
sign
/
envelopes
/
{envelopeID}
/
participants:batch-delete
Delete Participants by Participant IDs
curl --request POST \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants:batch-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants:batch-delete"
payload = { "items": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants:batch-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
Body
application/json
A set of unique UUIDv4 strings that identify the participants in the Nitro system.
An array of participant IDs to be deleted from the envelope.
Response
Participants deleted successfully
Previous
Update Participant by IDThe **Update Participant by ID** endpoint modifies a participant's authentication settings.
The participant's email cannot be updated. All parameters are optional.
Next
⌘I
Delete Participants by Participant IDs
